Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Jul 2014 21:52:09 -0400

> A long term solution may be to enhance the syntax bits of Emacs to
> recognise "syntactic islands" (e.g. C preprocessor construct, shell
> script "here documents" or literate programming chunks) somehow.

Shell script's here-documents work just fine when considered
as comments.  Literate programming also works well when considering the
non-code as comments.
Maybe the same would hold of CPP thingies.

        Stefan